/*
 * ScalingModeType.h
 *
 *  Created on: Apr 24, 2016
 *      Author: Pawel Sznajder
 */

#ifndef SCALINGMODETYPE_H_
#define SCALINGMODETYPE_H_

#include <string>

namespace NumA {

class ScalingModeType {

public:

    enum Type {
        UNDEFINED = 0, Scale = 1, Unscale = 2
    };

    ScalingModeType();
    ScalingModeType(ScalingModeType::Type type);
    ScalingModeType(const ScalingModeType& other);
    virtual ~ScalingModeType();
    ScalingModeType* clone() const;

    std::string toString() const;

private:

    ScalingModeType::Type m_type;
};

}

#endif /* SCALINGMODETYPE_H_ */
