/*
 * TrainingFunctionType.h
 *
 *  Created on: Jul 28, 2016
 *      Author: Pawel Sznajder
 */

#ifndef TRAININGFUNCTIONTYPE_H_
#define TRAININGFUNCTIONTYPE_H_

#include <string>

namespace NumA {

class TrainingFunctionType {

public:

    enum Type {
        UNDEFINED = 0, Chi2 = 1
    };

    TrainingFunctionType();
    TrainingFunctionType(TrainingFunctionType::Type type);
    TrainingFunctionType(const TrainingFunctionType& other);
    virtual ~TrainingFunctionType();
    TrainingFunctionType* clone() const;

    std::string toString() const;

private:

    TrainingFunctionType::Type m_type;
};

}

#endif /* TRAININGFUNCTIONTYPE_H_ */
