#include "../../../include/NumA/utils/Errors.h"

namespace NumA {

Errors::Errors() :
        m_absolute(0.), m_relative(0.) {
}

Errors::Errors(const double absolute, const double relative) :
        m_absolute(absolute), m_relative(relative) {
}

Errors::~Errors() {
}

double Errors::getAbsolute() const {
    return m_absolute;
}

void Errors::setAbsolute(double absolute) {
    m_absolute = absolute;
}

double Errors::getRelative() const {
    return m_relative;
}

void Errors::setRelative(double relative) {
    m_relative = relative;
}

} /* namespace NumA */
